> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Replace or configure the webhook verification module for a specific HTTPS edge route.

# Replace



## OpenAPI

````yaml put /edges/https/{edge_id}/routes/{id}/webhook_verification
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /edges/https/{edge_id}/routes/{id}/webhook_verification:
    put:
      tags:
        - EdgeRouteWebhookVerificationModule
      summary: Replace
      operationId: EdgeRouteWebhookVerificationModuleReplace
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: edge_id
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EdgeRouteWebhookVerificationReplace'
      responses:
        '200':
          description: n/a
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointWebhookValidation'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    EdgeRouteWebhookVerificationReplace:
      type: object
      properties:
        edge_id:
          description: n/a
          type: string
        id:
          description: n/a
          type: string
        module:
          $ref: '#/components/schemas/EndpointWebhookValidation'
          description: n/a
    EndpointWebhookValidation:
      type: object
      properties:
        enabled:
          description: >
            `true` if the module will be applied to traffic, `false` to disable.
            default `true` if unspecified
          type: boolean
        provider:
          description: >
            a string indicating which webhook provider will be sending webhooks
            to this endpoint. Value must be one of the supported providers
            defined at
            https://ngrok.com/docs/cloud-edge/modules/webhook-verification
          type: string
        secret:
          description: >
            a string secret used to validate requests from the given provider.
            All providers except AWS SNS require a secret
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````